mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.Policy.EvidenceBase System.Runtime.Serialization.ISerializable System.Security.Policy.IBuiltInEvidence System.Runtime.InteropServices.ComVisible(true)

A hash value represents a unique value that corresponds to a particular set of bytes. Rather than referring to an assembly by name, version, or other designation, a hash value designates the assembly without ambiguity. Names are subject to collisions in rare cases where the same name is given to completely different code. Different variations of code can accidentally be marked with the same version. However, even changing a single bit results in a very different hash value.

Hash values are a cryptographically secure way to refer to specific assemblies in policy without the use of digital signatures. A secure hash algorithm is designed so that it is computationally infeasible to construct a different assembly with the identical hash value by either an accidental or malicious attempt. By default, evidence from the and hash algorithms is supported, although any hash algorithm can be used through .

Provides evidence about the hash value for an assembly. This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The hash value computation is not performed until one of the properties or methods is called.

  Initializes a new instance of the class.

  The assembly for which to compute the hash value.
- Method
  2.0.0.0
  4.0.0.0
  System.Security.Policy.Hash ``

  The returned object contains only the property.

  Creates a object that contains an hash value.

  An object that contains the hash value provided by the parameter.

  A byte array that contains an hash value.
- Method
  2.0.0.0
  4.0.0.0
  System.Security.Policy.Hash ``

  The returned object contains only the property.

  Creates a object that contains a hash value.

  An object that contains the hash value provided by the parameter.

  A byte array that contains a hash value.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[] ``

  The assembly specified in the class constructor provides the bytes for computing the hash value. The parameter is an object derived from a specific . The returned hash value is of the type identified by .

  Computes the hash value for the assembly using the specified hash algorithm.

  A byte array that represents the hash value for the assembly.

  The hash algorithm to use to compute the hash value for the assembly.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  This method is provided to support inheritance of the interface.

  Gets the object with the parameter name and additional exception information.

  The object that holds the serialized object data. The contextual information about the source or destination.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[] To be added: an object of type 'byte []'

  The assembly specified in the class constructor provides the bytes for the hash computation.

  Gets the hash value for the assembly.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[] To be added: an object of type 'byte []'

  The assembly specified in the constructor provides the bytes for the hash computation.

  Gets the hash value for the assembly.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  This method is useful during debugging to get an easy-to-read representation of the object.

  Returns a string representation of the current .

  A representation of the current .